Bug 901897 - [PATCH] Bunch of sudo packaging fixes
[PATCH] Bunch of sudo packaging fixes
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: sudo (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Daniel Kopeček
Fedora Extras Quality Assurance
: Patch
: 894532 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-19 15:56 EST by Ville Skyttä
Modified: 2013-09-30 11:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-30 11:03:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Bunch of packaging fixes (5.43 KB, patch)
2013-01-19 15:56 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2013-01-19 15:56:19 EST
Created attachment 683254 [details]
Bunch of packaging fixes

- Build with system zlib.
- Let rpmbuild strip libexecdir/*.so.
- Own the %{_docdir}/sudo-* dir.
- Fix some rpmlint warnings (spaces vs tabs, unescaped macros).
- Fix bogus %changelog dates.

Let me know if you'd like me to commit and build this for devel.
Comment 1 Ville Skyttä 2013-01-19 15:57:27 EST
*** Bug 894532 has been marked as a duplicate of this bug. ***
Comment 2 Ville Skyttä 2013-02-25 15:46:25 EST
(In reply to comment #0)
> Let me know if you'd like me to commit and build this for devel.

Ping...?
Comment 3 Daniel Kopeček 2013-02-28 07:09:56 EST
Hello,

(In reply to comment #2)
> (In reply to comment #0)
> > Let me know if you'd like me to commit and build this for devel.
> 
> Ping...?

thanks for the patch. I'm going to update sudo in fedora-all due to a couple of CVEs, so I'll fix the packaging issues along the way.
Comment 4 Fedora End Of Life 2013-04-03 15:18:19 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 5 Daniel Kopeček 2013-09-30 11:03:04 EDT
Already fixed (commit 392812324b12038a6404ea2d389632a2bfdaf337), closing.

Note You need to log in before you can comment on or make changes to this bug.